%global pypi_name bash8

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        16%{?dist}
Summary:        A pep8 equivalent for bash scripts

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-babel
BuildRequires:  python2-pbr
BuildRequires:  python2-fixtures
BuildRequires:  python2-sphinx
BuildRequires:  python2-oslo-sphinx

%description
A pep8 equivalent for bash scripts

%package -n     python2-%{pypi_name}
Summary:        A pep8 equivalent for bash scripts
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-pbr
Requires:       python2-fixtures

%description -n python2-%{pypi_name}
A pep8 equivalent for bash scripts

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A pep8 equivalent for bash scripts

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
BuildRequires:  python3-fixtures

Requires:       python3-pbr
Requires:       python3-fixtures

%description -n python3-%{pypi_name}
A pep8 equivalent for bash scripts

%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# drop shebang line in non-executable file
pushd bash8
sed '1{\@^#!/usr/bin/env python@d}' bash8.py > bash8.new
touch -r bash8.py bash8.new
mv bash8.new bash8.py
popd

rm {test-,}requirements.txt

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%{__python2} setup.py build
# generate html docs and man page
sphinx-build doc/source html
sphinx-build -b man doc/source man

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
%py2_install

%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
%endif # with_python3

install -Dpm0644 man/bash8.1 %{buildroot}%{_mandir}/man1/bash8.1

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif # with_python3


%files -n python2-%{pypi_name}
%doc html README.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{_mandir}/man1/bash8.1*

%if 0%{?with_python3}
%files  -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

# This goes in the python2- subpackage when we build without python3,
# otherwise it goes into the python3 subpackage
%{_bindir}/%{pypi_name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-15
- Rebuilt for Python 3.7

* Wed Feb 21 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.1-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.1-13
- Escape macros in %%changelog

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-9
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 14 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.1-6
- Fix confusion of python interpreter version in binaries

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Sep  5 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.1-4
- Update to newer guidelines and various fixes

* Wed Aug 12 2015 Frederic Lepied <frederic.lepied@redhat.com> 0.1.1-3
- added a %%check section

* Wed Aug 12 2015 Frederic Lepied <frederic.lepied@redhat.com> 0.1.1-2
- added man page
- added python3 sub-package

* Sat May 23 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 0.1.1-1
- Initial package.
